service system/issue {
	need = system/initial system/mountroot
start {
    distro="Unknown distro"
    arch=$(uname -m)
    a="a"
    case "$arch" in
	_a*) a="an";;
	_i*) a="an";;
    esac
    NUMPROC=`egrep -c "^cpu[0-9]+" /proc/stat`
    if [ "$NUMPROC" -gt "1" ]
    then
	SMP="$NUMPROC-processor "
	[ "$NUMPROC" = "2" ] && SMP="Dual-processor "
	if [ "$NUMPROC" = "8" -o "$NUMPROC" = "11" ]
	then
    	    a="an"
	else
	    a="a"
	fi
    fi
    echo $distro > /etc/issue
    echo "Kernel $(uname -r) on $a $SMP$(uname -m) (\l)" >> /etc/issue
    
    echo $distro > /etc/issue.net
    echo "Kernel $(uname -r) on $a $SMP$(uname -m)" >> /etc/issue.net
}
}
